#region Copyright  2009, DevLynx (MIT License)
// This software is licensed under The MIT License:
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.
#endregion

namespace TestAeroGlass
{
    using System;
    using System.Drawing;
    using System.Windows.Forms;
    using AeroGlass;
    using TestAeroGlass.Properties;

    public partial class MainForm : Form
    {

        private bool blue = false;
        
        public MainForm()
        {
            InitializeComponent();
            label1.BackColor = Color.Transparent;
            label2.BackColor = Color.Transparent;
            label3.BackColor = Color.Transparent;

            SetBackColor();
        }


        protected override void WndProc(ref Message message)
        {
            base.WndProc(ref message);
            aeroGlassProvider.WndProc(this, ref message);
        }

        private void aeroGlassProvider_GlassEnabledChanged(object sender, AeroEnabledChangedEventArgs e)
        {
            SetBackColor();
        }

        private void aeroGlassProvider_GlassColorChanged(object sender, AeroColorChangedEventArgs e)
        {
            SetBackColor();
            // Could also have used:
            //BackColor = Color.FromArgb(255, e.GlassColor);
        }

        private void SetBackColor()
        {
            if (AeroGlassProvider.IsAeroEnabled)
                BackColor = Color.FromArgb(255, AeroGlassProvider.GetAeroColor());
            else
                BackColor = SystemColors.Control;
        }

        private void button1_Click(object sender, System.EventArgs e)
        {
            string text;
            Image image;
            if (blue)
            {
                image = Resources.CollieEmbosed;
                text = "x";
            }
            else
            {
                image = Resources.CollieEmbosedBlue;
                text = ".";
            }
            pictureBox1.Image = image;
            label3.Text = String.Format("{0}{1}", label3.Text, text);
            blue = !blue;
        }
    }
}
